package com.example.random.inventdroid;

import android.content.Intent;
import android.content.pm.ActivityInfo;
import android.support.v4.app.NotificationCompatSideChannelService;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.TextView;
import android.widget.Toast;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.net.HttpURLConnection;
import java.net.URL;

public class NewInvent extends AppCompatActivity {

    public  static EditText userId;
    public  static EditText leterZone;
    public  static EditText numberZone;
    public  static EditText zoneDesc;
    public  static String userPass;
    boolean userChecker=false;
    Button create,addZone,endCreateInvent;
   public static TextView inventId;


    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_new_invent);
        //Bloquear rotación Pantalla
        setRequestedOrientation(ActivityInfo.SCREEN_ORIENTATION_PORTRAIT);
        //Ocultar el ActionBar
        getSupportActionBar().hide();

    userId=(EditText)findViewById(R.id.auto_user_id);
    leterZone=(EditText) findViewById(R.id.zone_id_leter);
    numberZone=(EditText) findViewById(R.id.zone_id_number);
    zoneDesc=(EditText)findViewById(R.id.zone_id_desc);
    create=(Button)findViewById(R.id.bt_create_invent);
    addZone=(Button)findViewById(R.id.add_zone);
    endCreateInvent=(Button) findViewById(R.id.end_add);

    inventId= (TextView) findViewById(R.id.auto_invent_id);





                create.setOnClickListener(new View.OnClickListener() {
                    @Override
                    public void onClick(View view) {

                        if (userId.getText().toString().isEmpty()) {

                            Toast.makeText(getApplicationContext(), "El Id no puede estar vacío", Toast.LENGTH_LONG).show();
                        } else {

                            try {
                                    parseJSON_Invent process = new parseJSON_Invent();
                                    process.execute();

                                    if (userPass.equals("Counter")) {
                                        Toast.makeText(getApplicationContext(), "Este usuario no puede crear inventarios!!", Toast.LENGTH_LONG).show();
                                    }
                                    else {
                                        userChecker=true;
                                        parseJSON_LastIvent process2 = new parseJSON_LastIvent();
                                        process2.execute();
                                    }
                            }
                            catch (Exception e) {
                            }

                            }

                        }
                    }
                            );


                addZone.setOnClickListener(new View.OnClickListener() {
                    @Override
                    public void onClick(View view) {
                        if(leterZone.getText().toString().isEmpty() ||
                                numberZone.getText().toString().isEmpty()
                                || zoneDesc.getText().toString().isEmpty()
                                ){
                            Toast.makeText(getApplicationContext(), "Los identificadores de Zona, no pueden estar vacios!!", Toast.LENGTH_LONG).show();
                                }

                          else{

                            String fullZone=leterZone.getText().toString()+numberZone.getText().toString();
                            try {
                                enviar(fullZone,zoneDesc.getText().toString(),inventId.getText().toString());
                            } catch (IOException e) {
                                e.printStackTrace();
                            }

                        }

                }});

               }








       //////////////// ///////////////////////////////////////////////////////////////////////////////////////////////
       /////       Variables del constructor (n:nombre,p:apellidos1,p2:apellido2,c:compañia,m:e-mail,t:tipo de usuario
       /////
       ////////////////////////////////////////////////////////////////////////////////////////////////////////////////
       private void enviar(String z,String d, String i) throws IOException {

            //Sutituimos los espacios vacios de las variables con "%20" para poder construir correctamente la URL
            d=d.replace(" ","%20");

            ///////////////////////////////////////////////////////////////////////////////////////////////////////

            URL url = new URL("http://212.230.156.87:80/inventDroid/insertarZone.php?zone="+z+"&zoneDesc="+d+"&inventId="+i+"");
            HttpURLConnection conexion = null;
            try {
                conexion = (HttpURLConnection) url.openConnection();
            } catch (IOException e) {
                e.printStackTrace();
            }

            try {
                if (conexion.getResponseCode() == HttpURLConnection.HTTP_OK) {
                    BufferedReader reader = new BufferedReader(new InputStreamReader(conexion.getInputStream()));
                    String linea = reader.readLine();
                    if (!linea.equals("Ok")) {
                        Log.e("Ruben", "Error en el servicio putada!!!");
                    } else {
                        Log.e("Ruben", conexion.getResponseMessage());
                    }
                }
            } catch (Exception e) {
                Log.e("Ruben", e.getMessage(), e);
            } finally {
                conexion.disconnect();
            }

        }

        ///////////////////////////////////////////////////////////////////////////////










    }

















