package com.example.random.inventdroid;

import android.content.Intent;
import android.content.pm.ActivityInfo;
import android.os.StrictMode;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.widget.ArrayAdapter;
import android.widget.Button;
import android.widget.EditText;
import android.widget.Spinner;
import android.widget.Toast;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.net.HttpURLConnection;
import java.net.URL;

import static com.example.random.inventdroid.R.*;



public class NuevoUsuario extends AppCompatActivity {

    public static EditText  autoId,name, surname1, surname2, company,email;
    Spinner user_type;
    Button save ;
    String[] user_tipe = {"Admin","Responsable","Counter"};


        @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(layout.activity_nuevo_usuario);
        //Bloquear rotación Pantalla
        setRequestedOrientation(ActivityInfo.SCREEN_ORIENTATION_PORTRAIT);
        //Ocultar el ActionBar
        getSupportActionBar().hide();
        // Aviso de apuntar/recordar el Iser Id que se le asigna
        Toast.makeText(getApplicationContext(),"Apúntese el UserID para poder operar en el futuro",Toast.LENGTH_LONG).show();
            StrictMode.setThreadPolicy(new StrictMode.ThreadPolicy.Builder().permitNetwork().build());

//////////////////////////////////////////////////////////////
        name = (EditText) findViewById(id.u_name);
        surname1 = (EditText) findViewById(id.u_ap1);
        surname2 = (EditText) findViewById(id.u_ap2);
        company = (EditText) findViewById(id.company);
        email = (EditText) findViewById(id.mail);
        user_type = (Spinner)findViewById(id.u_tipe);

        user_type.setAdapter(new ArrayAdapter<String>(this,android.R.layout.simple_spinner_item,user_tipe));

        save= (Button)findViewById(id.bt_guardar);
        autoId=(EditText)findViewById(id.auto_user_id);

            parseJSON process = new parseJSON();
            process.execute();


        save.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {

                if (name.getText().toString().isEmpty()||surname1.getText().toString().isEmpty()||surname2.getText().toString().isEmpty()||company.getText().toString().isEmpty()||email.getText().toString().isEmpty()){

                    Toast.makeText(getApplicationContext(),"Los campos no puesden estar vacios",Toast.LENGTH_LONG).show();                }
                else{
                        try {
                            enviar(
                                    name.getText().toString(),
                                    surname1.getText().toString(),
                                    surname2.getText().toString(),
                                    company.getText().toString(),
                                    email.getText().toString(),
                                    user_type.getSelectedItem().toString()
                                    );
                       Intent i = new Intent(getApplicationContext(), MainActivity.class);
                            startActivity(i);

                            }
                        catch (IOException e) {
                                e.printStackTrace();
                            }
                }
            }
            });


            }// fin Oncreate







    //////////////// ///////////////////////////////////////////////////////////////////////////////////////////////
    /////       Variables del constructor (n:nombre,p:apellidos1,p2:apellido2,c:compañia,m:e-mail,t:tipo de usuario
    /////
    ////////////////////////////////////////////////////////////////////////////////////////////////////////////////
        private void enviar(String n, String p, String p2, String c,String m, String t ) throws IOException {

            //Sutituimos los espacios vacios de las variables con "%20" para poder construir correctamente la URL
            n=n.replace(" ","%20");
            p=p.replace(" ","%20");
            p2=p2.replace(" ","%20");
            c=c.replace(" ","%20");
            m=m.replace(" ","%20");
            t=t.replace(" ","%20");
            ///////////////////////////////////////////////////////////////////////////////////////////////////////

            URL url = new URL("http://212.230.156.87:80/inventDroid/insertarUsuario.php?nombre="+n+"&apellido1="+p+"&apellido2=" +p2+"&company="+c+"&email="+m+"&u_tipe="+t);
            HttpURLConnection conexion = (HttpURLConnection) url.openConnection();

            try {
                if (conexion.getResponseCode() == HttpURLConnection.HTTP_OK) {
                    BufferedReader reader = new BufferedReader(new InputStreamReader(conexion.getInputStream()));
                    String linea = reader.readLine();
                    if (!linea.equals("Ok")) {
                        Log.e("Ruben", "Error en el servicio putada!!!");
                    } else {
                        Log.e("Ruben", conexion.getResponseMessage());
                    }
                }
            } catch (Exception e) {
                Log.e("Ruben", e.getMessage(), e);
            } finally {
                conexion.disconnect();
            }

        }

        ///////////////////////////////////////////////////////////////////////////////

     }





