package com.example.random.inventdroid;

import android.content.Intent;
import android.content.pm.ActivityInfo;
import android.os.StrictMode;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
///////////////////////////////////////////////////////////////////////////////////////////////////
/// Projecto Final de Grado Multimedia UOC Desarrollo de aplicaciones móviles  "Mención en Ing.Web/
/// Ruben Ordóñez Vázquez 2017-2018                                                               /
/// Attribution 4.0 International (CC BY 4.0)                                                     /
///  En ests App se hace uso de librerias de terceros como son:                                   /
///  ·JExcelApi GNU Library or Lesser General Public License version 2.0 (LGPLv2)                 /
///  ·Zxing The_Apache_Software_License_Version_2.0                                               /
///////////////////////////////////////////////////////////////////////////////////////////////////

public class MainActivity extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        //Bloquear rotación Pantalla
        setRequestedOrientation(ActivityInfo.SCREEN_ORIENTATION_PORTRAIT);
        //Ocultar el ActionBar
     getSupportActionBar().hide();
        StrictMode.setThreadPolicy(new StrictMode.ThreadPolicy.Builder().permitNetwork().build());
    }
    public void lanzarGesUser (View view){
        Intent i=new Intent(this,Gestion_Usuario.class);
        startActivity(i);
    }

    public void lanzarGesInv (View view){
        Intent i=new Intent(this,gestion_inventario.class);
        startActivity(i);
    }

    public void lanzarInv (View view){
        Intent i=new Intent(this,CargaInvent.class);
        startActivity(i);
    }

    public void lanzarGesAyuda (View view){
        Intent i=new Intent(this,GestionAyuda.class);
        startActivity(i);
    }


}
