package com.example.random.inventdroid;

import android.content.Intent;
import android.content.pm.ActivityInfo;
import android.os.StrictMode;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.widget.ArrayAdapter;
import android.widget.Button;
import android.widget.EditText;
import android.widget.Spinner;
import android.widget.Toast;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.net.HttpURLConnection;
import java.net.URL;

public class ModifyUser extends AppCompatActivity {

   public static EditText id,name,ap1,ap2,company,email;
    Spinner u_tipe;
    Button modify;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_modify_user);
        //Bloquear rotación Pantalla
        setRequestedOrientation(ActivityInfo.SCREEN_ORIENTATION_PORTRAIT);
        //Ocultar el ActionBar
        getSupportActionBar().hide();
        //Recogemos el id de la actividad Anterior
        Bundle extras=getIntent().getExtras();
        String PassUserId=extras.getString("id");
        //Variables del Spinner
        final String[] user_tipe = {"Admin","Responsable","Counter"};




        id= (EditText) findViewById(R.id.auto_user_id);
        id.setText(PassUserId);
        name=(EditText) findViewById(R.id.u_name);
        ap1=(EditText) findViewById(R.id.cu_ap1);
        ap2=(EditText)findViewById(R.id.u_ap2);
        company=(EditText)findViewById(R.id.company);
        email=(EditText)findViewById(R.id.mail);
        u_tipe=(Spinner)findViewById(R.id.u_tipe);
        modify=(Button)findViewById(R.id.bt_modify);
        //Adaptador del Spinner
        u_tipe.setAdapter(new ArrayAdapter<String>(this,android.R.layout.simple_spinner_item,user_tipe));

        parseJSON_Mod process = new parseJSON_Mod();
        process.execute();

modify.setOnClickListener(new View.OnClickListener() {
                              @Override
                              public void onClick(View view) {


                                  try {
                                      enviar( name.getText().toString(),
                                              id.getText().toString(),
                                              ap1.getText().toString(),
                                              ap2.getText().toString(),
                                              company.getText().toString(),
                                              email.getText().toString(),
                                              u_tipe.getSelectedItem().toString()
                                      );
                                      Intent i = new Intent(getApplicationContext(), MainActivity.class);
                                      startActivity(i);
                                  }

                                  catch (IOException e) {
                                      e.printStackTrace();
                                  }

                              }




                          });

    }//Fin Oncreate



    //////////////// ///////////////////////////////////////////////////////////////////////////////////////////////
    /////       Variables del constructor (n:nombre,s1:apellidos1,s2:apellido2,c:compañia,m:e-mail,t:tipo de usuario
    /////
    ////////////////////////////////////////////////////////////////////////////////////////////////////////////////
    private void enviar(String n,String i,String s1,String s2,String c, String m, String t ) throws IOException {

//Sutituimos los espacios vacios de las variables con "%20" para poder construir correctamente la URL
        n=n.replace(" ","%20");
        i=i.replace(" ","%20");
        s1=s1.replace(" ","%20");
        s2=s2.replace(" ","%20");
        c=c.replace(" ","%20");
        m=m.replace(" ","%20");
        t=t.replace(" ","%20");

        URL url = new URL("http://212.230.156.87:80/inventDroid/modificarUsuario.php?" +
                "nombre="+n+
                "&userId="+i+
                "&apellido1="+s1+
                "&apellido2="+s2+
                "&company="+c+
                "&email="+m+
                "&u_tipe="+t


        );
        HttpURLConnection conexion = (HttpURLConnection) url.openConnection();
       // HttpURLConnection conexion = (HttpURLConnection) url.openConnection();
        try {
          Log.e("Ruben", String.valueOf(url));
            if (conexion.getResponseCode() == HttpURLConnection.HTTP_OK) {
                BufferedReader reader = new BufferedReader(new InputStreamReader(conexion.getInputStream()));
                String linea = reader.readLine();
                if (!linea.equals("Ok")) {
                    Log.e("Ruben", "Error en el servicio !!!");
                } else {
                    Log.e("Ruben", conexion.getResponseMessage());
                }
            }
        } catch (Exception e) {
            Log.e("Ruben", e.getMessage(), e);
        } finally {
            conexion.disconnect();
        }

    }

    ///////////////////////////////////////////////////////////////////////////////












}
