package com.example.random.inventdroid;

import android.content.Intent;
import android.content.pm.ActivityInfo;
import android.os.Environment;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.TextView;
import android.widget.Toast;

import java.io.File;
import java.io.IOException;
import java.util.Locale;

import jxl.Workbook;
import jxl.WorkbookSettings;
import jxl.write.Label;
import jxl.write.WritableSheet;
import jxl.write.WritableWorkbook;
import jxl.write.WriteException;
import jxl.write.biff.RowsExceededException;

public class CargaInvent extends AppCompatActivity {

    EditText zona,invent,user;
    String nameWorbook;
    Button create;


    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_carga_invent);
        //Bloquear rotación Pantalla
        setRequestedOrientation(ActivityInfo.SCREEN_ORIENTATION_PORTRAIT);
        //Ocultar el ActionBar
        getSupportActionBar().hide();

        zona=(EditText)findViewById(R.id.zone_id2);
        invent=(EditText)findViewById(R.id.inventIdList);
        user=(EditText)findViewById(R.id.auto_user_id2);
        create=(Button)findViewById(R.id.bt_create);

        create.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                if(zona.getText().toString().isEmpty()||invent.getText().toString().isEmpty()||user.getText().toString().isEmpty()){
                    Toast.makeText(getApplicationContext(),R.string.vacio,Toast.LENGTH_LONG).show();
                }
                else{
                    nameWorbook="i"+invent.getText().toString()+"u"+user.getText().toString()+"z"+zona.getText().toString()+".xls";

                   lanzarCaptura();
                }
            }
        });


    }

 public  void lanzarCaptura() {
        Intent i = new Intent(this, Captura.class);
        startActivity(i);
        i.putExtra("nameFile",nameWorbook);
        i.putExtra("zona",zona.getText().toString());
        i.putExtra("invent",invent.getText().toString());
        i.putExtra("user",user.getText().toString());

         startActivity(i);

    }




}

