package com.example.random.inventdroid;

import android.content.pm.ActivityInfo;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.TextView;
import android.widget.Toast;

import org.json.JSONException;
import org.json.JSONObject;

import java.io.IOException;
import java.util.concurrent.ExecutionException;

public class NewInvent extends AppCompatActivity {

    public  static EditText userId;
    public  static EditText leterZone;
    public  static EditText numberZone;
    public  static EditText zoneDesc;
    static String userPass="";

    Button create,addZone,endCreateInvent;
   public static TextView inventId;

    // Variables para almacenar datos del propietario del inventario
   static String userOwner, mailOwner,userOwnerId;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_new_invent);
        //Bloquear rotación Pantalla
        setRequestedOrientation(ActivityInfo.SCREEN_ORIENTATION_PORTRAIT);
        //Ocultar el ActionBar
        getSupportActionBar().hide();
        //Asociamos vistas a variables.
        userId = (EditText) findViewById(R.id.inventIdList);
        leterZone = (EditText) findViewById(R.id.zone_id_leter);
        numberZone = (EditText) findViewById(R.id.zone_id_number);
        zoneDesc = (EditText) findViewById(R.id.zone_id_desc);
        create = (Button) findViewById(R.id.bt_create_invent);
        addZone = (Button) findViewById(R.id.add_zone);
        endCreateInvent = (Button) findViewById(R.id.end_add);
        inventId = (TextView) findViewById(R.id.auto_invent_id);


        //Creamos el escuchador del boton create
        create.setOnClickListener(new View.OnClickListener() {
            String data, userName, mailUser, singleParsed, ownerId;

            @Override
            public void onClick(View view) {
                JSONObject UI = new JSONObject();
                userId = (EditText) findViewById(R.id.inventIdList);

                if (userId.getText().toString().isEmpty()) {
                    Toast.makeText(getApplicationContext(), R.string.vacio, Toast.LENGTH_LONG).show();
                } else {
                    try {
                        parseJSON_UserInvent userInvent = new parseJSON_UserInvent();
                        userInvent.execute();
                        UI = userInvent.get();

                        if (UI.get("userTipe").equals("Counter")) {
                            Toast.makeText(getApplicationContext(), R.string.noAdmin, Toast.LENGTH_LONG).show();

                        } else {
                            userOwner= (String) UI.get("userName");
                            mailOwner= (String) UI.get("userEmail");
                            userOwnerId= (String) UI.get("userId");
                            parseJSON_LastIvent passUser = new parseJSON_LastIvent();
                            passUser.execute();
                            passUser.get();

                            Toast.makeText(getApplicationContext(), userOwner, Toast.LENGTH_LONG).show();


                            webServices newInvent = new webServices();
                            try {
                                newInvent.newInvent(userOwner, mailOwner, userOwnerId);
                            } catch (IOException e) {
                                e.printStackTrace();
                            }
                        }
                    } catch (InterruptedException e) {
                        e.printStackTrace();
                    } catch (ExecutionException e) {
                        e.printStackTrace();
                    } catch (JSONException e) {
                        e.printStackTrace();
                    }
                }
            }
        });

////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

        addZone.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {

                if(inventId.getText().toString().isEmpty()){
                    Toast.makeText(getApplicationContext(), R.string.noInvet, Toast.LENGTH_LONG).show();

                }
                else{
                if (leterZone.getText().toString().isEmpty() ||
                        numberZone.getText().toString().isEmpty()
                        || zoneDesc.getText().toString().isEmpty()
                        ) {
                    Toast.makeText(getApplicationContext(), R.string.vacio, Toast.LENGTH_LONG).show();
                } else {

                    String fullZone = leterZone.getText().toString() + numberZone.getText().toString();
                    try {
                        webServices zone = new webServices();
                        zone.addZone(fullZone, zoneDesc.getText().toString(), inventId.getText().toString());
                        Toast.makeText(getApplicationContext(), R.string.add, Toast.LENGTH_LONG).show();
                        leterZone.setText("");
                        numberZone.setText("");
                        numberZone.setText("");
                    } catch (IOException e) {
                        e.printStackTrace();
                    }

                }

            }}
        });

    }}



















