package com.example.random.inventdroid;

import android.content.Intent;
import android.content.pm.ActivityInfo;
import android.os.StrictMode;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.ArrayAdapter;
import android.widget.Button;
import android.widget.EditText;
import android.widget.Spinner;
import android.widget.Toast;

import java.io.IOException;

import static com.example.random.inventdroid.R.*;



public class NuevoUsuario extends AppCompatActivity {

    public static EditText  autoId,name, surname1, surname2, company,email;
    Spinner user_type;
    Button save ;
    String[] user_tipe = {"Admin","Responsable","Counter"};


        @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(layout.activity_nuevo_usuario);
        //Bloquear rotación Pantalla
        setRequestedOrientation(ActivityInfo.SCREEN_ORIENTATION_PORTRAIT);
        //Ocultar el ActionBar
        getSupportActionBar().hide();
        // Aviso de apuntar/recordar el Iser Id que se le asigna
        Toast.makeText(getApplicationContext(),R.string.takeNote,Toast.LENGTH_LONG).show();
            StrictMode.setThreadPolicy(new StrictMode.ThreadPolicy.Builder().permitNetwork().build());

//////////////////////////////////////////////////////////////
        name = (EditText) findViewById(id.u_name);
        surname1 = (EditText) findViewById(id.u_ap1);
        surname2 = (EditText) findViewById(id.u_ap2);
        company = (EditText) findViewById(id.company);
        email = (EditText) findViewById(id.mail);
        user_type = (Spinner)findViewById(id.u_tipe);

        user_type.setAdapter(new ArrayAdapter<String>(this,android.R.layout.simple_spinner_item,user_tipe));

        save= (Button)findViewById(id.bt_guardar);
        autoId=(EditText)findViewById(id.inventIdList);

            parseJSON_LastUser  lastUser= new parseJSON_LastUser();
            lastUser.execute();


        save.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {

                webServices newUser=new webServices();
                if (name.getText().toString().isEmpty()||surname1.getText().toString().isEmpty()||surname2.getText().toString().isEmpty()||company.getText().toString().isEmpty()||email.getText().toString().isEmpty()){

                    Toast.makeText(getApplicationContext(),R.string.vacio,Toast.LENGTH_LONG).show();                }
                else{
                    try {
                            newUser.nuevoUsuario(name.getText().toString(),
                                    surname1.getText().toString(),
                                    surname2.getText().toString(),
                                    company.getText().toString(),
                                    email.getText().toString(),
                                    user_type.getSelectedItem().toString());

                            Intent i = new Intent(getApplicationContext(), MainActivity.class);
                                        startActivity(i);

                            }
                    catch (IOException e) {
                                e.printStackTrace();
                            }
                }
            }
            });


            }

     }





